collectors:
  enabled: "[defaults],cpu_info,physical_disk,hyperv,process,performancecounter"

collector:
  logical_disk:
    volume-exclude: "^(HarddiskVolume|HarddiskVolumeShadowCopy)"

  hyperv:
    enabled:
      - dynamic_memory_balancer
      - dynamic_memory_vm
      - hypervisor_logical_processor
      - hypervisor_root_partition
      - hypervisor_root_virtual_processor
      - hypervisor_virtual_processor
      - legacy_network_adapter
      - virtual_machine_health_summary
      - virtual_machine_vid_partition
      - virtual_network_adapter
      - virtual_storage_device
      - virtual_switch

  process:
    include: "^(vmms|vmwp|vmcompute|vmconnect|VmSavedStateDumpProvider).*"
    cmdline: false

  service:
    include: "(?i)(vmms|hvsics|vmicheartbeat|vmickvpexchange|vmicrdv|vmicshutdown|vmictimesync|vmicvss|vhdsvc|eventlog|winmgmt|w32tm)"

  performancecounter:
    objects: |-
      - name: hyperv_replica
        object: "Hyper-V Replica VM"
        instances: ["*"]
        instance_label: "vm"
        counters:
          - name: "Average Replication Size"
            metric: windows_performancecounter_hyperv_replica_average_replication_size
            type: "raw"
          - name: "Last Replication Size"
            metric: windows_performancecounter_hyperv_replica_last_replication_size
            type: "raw"
          - name: "Average Replication Latency"
            metric: windows_performancecounter_hyperv_replica_average_replication_latency
            type: "raw"
          - name: "Replication Latency"
            metric: windows_performancecounter_hyperv_replica_replication_latency
            type: "raw"
          - name: "Replication Count"
            metric: windows_performancecounter_hyperv_replica_replication_count
            type: "raw"
          - name: "Network Bytes Sent"
            metric: windows_performancecounter_hyperv_replica_network_bytes_sent
            type: "raw"
          - name: "Network Bytes Recv"
            metric: windows_performancecounter_hyperv_replica_network_bytes_recv
            type: "raw"
          - name: "Resynchronized Bytes"
            metric: windows_performancecounter_hyperv_replica_resynchronized_bytes
            type: "raw"
          - name: "Compression Efficiency"
            metric: windows_performancecounter_hyperv_replica_compression_efficiency
            type: "raw"